TITLE Table

INCLUDE Irvine16.inc

.data
msg1 byte "Enter number : ", 0
m1   byte " x ",0
m2   byte " = ",0
n    word ?
p    word ?

.code

main PROC

	mov ax,@data
	mov ds,ax

        call ClrScr

        ; Read Value
        mov  dx, offset msg1
        call WriteString
        call ReadInt
        call Crlf
        mov  n, ax

        mov  cx, 20
        mov  bx, 1
        mov  p, ax

        L1:
                mov  ax, n
                call WriteDec

                mov  dx, offset m1
                call WriteString

                mov  ax, bx
                call WriteDec

                mov  dx, offset m2
                call WriteString

                mov  ax, p
                call WriteDec
                mov  ax, n
                add  p, ax
                call Crlf
                inc  bx

                loop L1

	exit
main ENDP
END main
